Topic on Talk:Death Stranding

According to two users from the Steam discussion forums so far the game apparently requires at least the 1803/1809 builds of Windows 10[1][2], which isn't that surprising as it's been two years and a number of large changes were made in that update.

It's unlikely to see that many people talk about this however again due to the age, but should it be confirmed then it's something worth making a note of on the page. Dave247 (talk) 17:12, 14 July 2020 (UTC)

  1. [1], windows 10 1803 version
  2. [2],death stranding requires windows10 version 1809 or later